Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#1064 ARG.testGroup fails on Linux (filename case)

None
closed
jfaucher
none
5
2013-11-22
2012-04-02
U. Zinngrebe
No

Line 305: the call statement evaluates to file extension ".REX" while the file has extension ".rex".
Therefore the file is not found, generating the error.

[error] [20120402 00:57:28.514763]
svn: r7722 Change date: 2012-04-01 09:12:18 +0200
Test: TEST_EXTERNAL_CALLS
Class: ARG.testGroup
File: /home/uli/oorexx/test/trunk/ooRexx/base/bif/ARG.testGroup
Event: [SYNTAX 43.1] raised unexpectedly.
Could not find routine "ARG_TEST.REX"
Line: 305
305 - call ARG_TEST.rex
- Compiled method SEND with scope "Message"
1547 - .message~new(self, methodName)~send
1532 - self~doTheTest(fName, aTestResult) -- carry out the testmethod
540 - test~execute(testResult, verbose)
540 - test~execute(testResult, verbose)
114 - suite~execute(testResult)
79 - retCode = 'worker.rex'(arguments)

File search: 00:00:01.418254
Suite construction: 00:00:01.304564
Test execution: 00:02:11.577718
Total time: 00:02:14.843706


How to re-create the error:
checkout rev. 7728, make rpm, install and run testsuite:
uli@ulmo:~/oorexx/test/trunk> ./testOORexx.rex -X native_API

uli@ulmo:~/oorexx/test/trunk> rpm -q ooRexx
ooRexx-4.2.0-7728.opensuse1140.x86_64

uli@ulmo:~/oorexx/test/trunk> uname -a
Linux ulmo 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 x86_64 x86_64 x86_64 GNU/Linux

uli@ulmo:~/oorexx/test/trunk> rexx -v
Open Object Rexx Version 4.2.0
Build date: Apr 2 2012
Addressing Mode: 64

Discussion

  • Mark Miesfeld
    Mark Miesfeld
    2012-08-03

    Closing this as it is fixed in the test suite and is unrelated to the interpreter releases.

     
  • Rick McGuire
    Rick McGuire
    2013-11-22

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,4 +1,3 @@
    -
    
     Line 305: the call statement evaluates to file extension ".REX" while the file has extension ".rex". 
     Therefore the file is not found, generating the error.
    
    • Pending work items: --> none
    • Group: Next_Release --> None
     


Anonymous


Cancel   Add attachments